/* ===== components.css ===== */
.base-breadcrumb {
  width: 100%;
  padding: 0;
}

.base-breadcrumb-list {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  max-width: 100%;
  padding: 12px 40px;
  margin: 0 auto;
  overflow-x: initial;
  list-style: none;
}

.base-breadcrumb-list .list-item {
  display: flex;
  flex-shrink: 0;
  flex-wrap: nowrap;
  gap: 8px;
  align-items: center;
  overflow-x: auto;
}

.base-breadcrumb-list .list-item a[aria-current="page"] {
  font-weight: bold;
  pointer-events: none;
}

@media (hover: hover) {
  .base-breadcrumb-list .list-item a:hover {
    color: var(--color-primary-900);
    text-decoration: none;
  }
}

@media all and (max-width: 1119.98px) {
  .base-breadcrumb {
    width: 100%;
    padding: 0;
  }

  .base-breadcrumb-list {
    flex-wrap: nowrap;
    padding: 10px 20px;
    overflow-x: auto;
  }
}

/* -----　typography */

/* TODO: 見出しコンポーネントの整理 (variant) */
.base-heading {
  --color: var(--body-text-color);
  --bold: 600;
  --heading-border-color: var(--bland-color-base);

  display: flex;
  gap: 12px; /* TODO:変数定義 */
  width: 100%;
  max-width: 1000px;
  font-weight: var(--bold);
  line-height: 1.8;
  color: var(--color);
  letter-spacing: 0.1em;
}

@media all and (max-width: 1119.98px) {
  .base-heading {
    gap: 8px; /* TODO:変数定義 */
  }
}

.base-heading[data-variant="h2"] {
  align-items: flex-start;
  justify-content: center;
  margin: 0 auto;
  font-size: 36px; /* TODO:変数定義 */
  color: var(--bland-color-base);
}

@media all and (max-width: 1119.98px) {
  .base-heading[data-variant="h2"] {
    font-size: 28px; /* TODO:変数定義 */
  }
}

.base-heading[data-variant="h3"] {
  display: flex;
  align-items: baseline;
  font-size: 36px; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .base-heading[data-variant="h3"] {
    font-size: 28px; /* TODO:変数定義 */
  }
}

.base-heading[data-variant="h4"] {
  font-size: 24px; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .base-heading[data-variant="h4"] {
    font-size: 20px; /* TODO:変数定義 */
  }
}

.base-heading[data-variant="h5"] {
  font-family: var(--font-family-body-jp);
  font-size: 20px; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .base-heading[data-variant="h5"] {
    font-size: 18px; /* TODO:変数定義 */
  }
}

.base-heading[data-border="vertical"]::before {
  display: flex;
  align-self: stretch;
  width: 4px;
  min-width: 4px;
  margin: 4px 0;
  content: "";
  background: var(--bland-color-base);
  border-radius: 9999px;
}

.base-heading[data-align="center"] {
  text-align: center;
}

/* _BaseSectionHeading.css */
.base-section-heading {
  display: grid;
  gap: var(--spacing-gap-xs);
  justify-content: center;
}

.base-section-heading .title-jp {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  gap: var(--spacing-gap-xs);
  align-items: center;
  font-size: var(--font-size-lg);
  font-weight: var(--font-weight-regular); /** 小林 boldからregularに変更 **/
  line-height: 2;
}

.base-section-heading .title-jp::before,
.base-section-heading .title-jp::after {
  display: block;
  width: 5px;
  height: 5px;
  content: "";
  background: var(--bland-color-base);
  border-radius: 9999px;
}

.base-section-heading .title-jp::before {
  justify-self: end;
}

.base-section-heading .title-en {
  display: block;
  width: fit-content;
  font-family: var(--font-family-en);
  font-size: 48px;
  font-weight: 300;
  line-height: 1.4;
  color: transparent;
  letter-spacing: 5px;
  background: linear-gradient(90deg, #2ba5c3 0%, #51c795 45.19%, #f8c678 100%);
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

.base-section-heading[data-theme="theme02"] .title-jp {
  color: #fff;
}

.base-section-heading[data-theme="theme02"] .title-jp::before,
.base-section-heading[data-theme="theme02"] .title-jp::after {
  background: #f8c678;
}

.base-section-heading[data-theme="theme02"] .title-jp::before {
  justify-self: end;
}

.base-section-heading[data-theme="theme02"] .title-en {
  background: linear-gradient(90deg, #fff 0%, #f8c678 100%);
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

@media all and (max-width: 1119.98px) {
  .base-section-heading .title-jp {
    text-align: center;
  }

  .base-section-heading .title-en {
    font-size: 40px;
  }
}

/* BaseSectionHeadingType02.css */
.base-section-heading-type02 {
  display: grid;
  gap: var(--spacing-gap-xs);
  justify-content: center;
}

.base-section-heading-type02 .title {
  font-size: 36px;
  font-weight: 400; /** 小林 --font-weight-regularから400に変更 **/
  line-height: 1.8;
  color: var(--bland-color-base);
  letter-spacing: 0.1em;
}

@media all and (max-width: 1119.98px) {
  .base-section-heading-type02 .title {
    font-size: 28px;
  }
}

/* -----　buttons */
.base-link-button {
  /* TODO: Colors定義の整理 */
  --button-color: var(--bland-color-base);
  --button-bg-color: linear-gradient(95deg, #2ba5c3 0.02%, #51c795 49.06%, #f8c678 100.02%);
  --button-border-color: var(--bland-color-base);
  --button-hover-color: var(--bland-color-base);
  --button-hover-bg-color: #fff;
  --button-gradation-color: #fff;
  --button-gradation-bg-color: linear-gradient(95deg, #2ba5c3 0.02%, #51c795 49.06%, #f8c678 100.02%);
  --button-gradation-hover-color: var(--bland-color-base);
  --button-gradation-hover-bg-color: #fff;
  --button-outline-bg-color: #fff;
  --button-outline-hover-color: var(--bland-color-base);
  --button-outline-hover-bg-color: #ebf7ff;
  --button-text-hover-bg-color: #ebf7ff;
  --button-disabled-bg-color: #bdbdbd;
  --button-disabled-border-color: #bdbdbd;
  --button-disabled-color: #969696;

  display: inline-flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 300px;
  min-height: 59px;
  padding: 0.5em 1.5em;
  font-size: 16px;
  font-weight: var(--font-weight-bold);
  line-height: 1.2;
  vertical-align: bottom;
  border: none;
  border-radius: var(--radius-full);
}

.base-link-button > .text {
  color: inherit;
}

.base-link-button .icon-prefix {
  flex-shrink: 0;
  justify-self: flex-start;
}

.base-link-button .icon-suffix {
  flex-shrink: 0;
  justify-self: flex-end;
}

.base-link-button[data-variant="solid-fill"] {
  color: var(--color-white);
  background: var(--button-bg-color);
  border: none;
}

.base-link-button[data-variant="gradation"] {
  color: var(--button-gradation-color);
  background: var(--button-gradation-bg-color);
  border: none;
}

.base-link-button[data-variant="outline"] {
  color: var(--button-color);
  background: var(--color-white);
  border: 2px solid var(--button-border-color);
}

.base-link-button[data-variant="text"] {
  width: auto;
  min-width: auto;
  color: var(--button-color);
  background: transparent;
  border-color: transparent;
}

@media (any-hover: hover) {
  .base-link-button[data-variant="solid-fill"]:hover {
    color: var(--button-hover-color);
    background: var(--button-hover-bg-color);
    border: 2px solid var(--button-border-color);
  }

  .base-link-button[data-variant="outline"]:hover {
    color: var(--button-outline-hover-color);
    background: var(--button-outline-hover-bg-color);
  }

  .base-link-button[data-variant="gradation"]:hover {
    color: var(--button-color);
    background: var(--color-white);
    border: 2px solid var(--button-border-color);
  }

  .base-link-button[data-variant="text"]:hover {
    color: var(--button-color);
    background: var(--button-text-hover-bg-color);
  }
}

.base-link-button[aria-disabled="true"] {
  color: var(--button-disabled-color);
  pointer-events: none;
  background: var(--button-disabled-bg-color);
  border-color: var(--button-disabled-border-color);
}

.base-link-button[data-variant="text"][aria-disabled="true"] {
  color: var(--button-disabled-color);
  background-color: transparent;
  border-color: transparent;
}

/* Button size */
.base-link-button[data-size="sm"] {
  width: 100%;
  min-width: 157px;
  max-width: 157px;
  min-height: 53px;
}

.base-link-button[data-size="md"] {
  width: 100%;
  max-width: 240px;
  min-height: 43px;
}

.base-link-button[data-size="lg"] {
  width: 100%;
  max-width: 300px;
}

/* ----- */
.base-link-button:has(.icon-suffix) {
  justify-content: space-between;
}

/* -----　table */

/* TableType01.css */
table.table-type01 {
  --cell-spacing: 16px;

  display: grid;
  overflow: clip;
  border: 1px solid var(--border-color-gray);
  border-radius: var(--radius-sm);
}

@media all and (max-width: 1119.98px) {
  table.table-type01 {
    --cell-spacing: 8px;
  }
}

table.table-type01 tbody tr {
  display: grid;
  grid-template-columns: 240px 1fr;
}

table.table-type01 tbody tr + tr {
  border-top: 1px solid var(--border-color-gray);
}

table.table-type01 tbody th {
  padding: var(--cell-spacing);
  background: var(--color-gray-100, #f7f7f7); /* TODO: css変数整理 */
  border-right: 1px solid var(--border-color-gray);
}

table.table-type01 tbody td {
  padding: var(--cell-spacing);
}

@media all and (max-width: 1119.98px) {
  .table-type01-container[data-table-scroll="true"] {
    width: 100%;
    overflow: scroll visible;
  }
}

.table-type01-container[data-table-scroll="true"] table.table-type01 {
  min-width: 750px;
}

/* HistoryTable.css */
@media all and (max-width: 1119.98px) {
  .history-table-container {
    width: 100%;
    overflow: scroll visible;
  }
}

table.history-table {
  --cell-spacing: 16px;

  display: grid;
  overflow: clip;
  border: 1px solid var(--border-color-gray);
  border-radius: var(--radius-sm);
}

@media all and (max-width: 1119.98px) {
  table.history-table {
    --cell-spacing: 8px;

    min-width: 750px;
  }
}

table.history-table tbody tr {
  display: grid;
  grid-template-columns: 100px 68px 1fr;
}

table.history-table tbody th.history-year {
  padding: var(--cell-spacing);
  background: var(--color-gray-100, #f7f7f7);
}

table.history-table tbody td {
  box-sizing: content-box;
  padding: var(--cell-spacing);
}

table.history-table tbody td.history-month {
  font-weight: 700;
  border-right: 1px solid var(--border-color-gray);
}

table.history-table tbody td.history-content {
  /* style */
}

/* -----　blog */

/* _ContentBlog.css */
.content-blog {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-lg) 0;
}

.content-blog-more {
  display: flex;
  justify-content: center;
}

.blog-card-grid {
  display: grid;
  grid-template-columns: repeat(var(--columns, 3), 1fr);
  gap: var(--spacing-gap-lg); /* TODO: Space定義の整理 */
}

@media all and (max-width: 1119.98px) {
  .blog-card-grid {
    grid-template-columns: 1fr;
    gap: var(--spacing-gap-lg); /* TODO: Space定義の整理 */
  }
}

.blog-card-link {
  /* style */
}

.blog-card {
  display: grid;
  grid-template-rows: auto;
  gap: var(--spacing-gap-md); /* TODO: Space定義の整理 */
}

.blog-card .blog-image {
  width: 100%;
  overflow: clip;
  border-radius: 12px;
}

.blog-card .blog-image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.blog-card .blog-card-container {
  display: grid;
  gap: var(--spacing-gap-xs); /* TODO: Space定義の整理 */
}

.blog-card .blog-card-header {
  display: grid;
  gap: var(--spacing-gap-3xs); /* TODO: Space定義の整理 */
}

.blog-card .blog-card-body {
  /* style */
}

.blog-card .blog-card-item-meta {
  display: flex;
  gap: 8px;
  align-items: center;
}

.blog-card .blog-item-tag {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 128px;
  height: 24px;
  font-size: var(--font-size-sm);
  background: var(--tag-blog-color);
  border-radius: var(--radius-full);
}

.blog-card .blog-item-date {
  font-size: 14px;
}

.blog-card .blog-item-title {
  font-family: var(--font-family-body-jp);
}

.blog-card .blog-item-content {
  /* style */
}

/* -----　faq */

/* _BaseFaqSection.css */
.base-faq-section {
  display: grid;
  grid-template-columns: 100%;
  grid-auto-rows: max-content;
}

.base-faq-section .base-faq-section-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-rows: max-content;
  gap: 60px; /* TODO:変数定義 */
  width: 100%;
  max-width: calc(1120px + 48px);
  padding: 80px 24px; /* TODO:変数定義 */
  margin: 0 auto;
}

@media all and (max-width: 1119.98px) {
  .base-faq-section .base-faq-section-container {
    gap: 40px; /* TODO:変数定義 */
    max-width: 100%;
    padding: 40px 16px; /* TODO:変数定義 */
  }
}

.base-faq-section .base-faq-section-header {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-rows: max-content;
}

.base-faq-section .base-faq-item {
  display: grid;
  background: #fff;
  border-top: 1px solid #e5e5e5; /* カラー定義 */
  border-bottom: 1px solid #e5e5e5; /* カラー定義 */
}

.base-faq-section .base-faq-item + .base-faq-item {
  border-top: 0;
}

.base-faq-section .base-faq-item-header {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 8px;
  padding: 24px 0;
  -webkit-user-select: none;
  user-select: none;
  opacity: 1;
  transition: opacity 0.3s ease-out;
}

.base-faq-section .base-faq-item-header .icons {
  position: relative;
  width: 24px;
  height: 24px;
}

.base-faq-section .base-faq-item-header .icon-open,
.base-faq-section .base-faq-item-header .icon-close {
  position: absolute;
  inset: 0;
  display: grid;
  place-items: center center;
}

.base-faq-section .faq-question {
  font-weight: 700;
}

/* ----- toggle styles */
.base-faq-item[data-is-state="open"] {
  padding: 0 24px 24px;
}

.base-faq-item[data-is-state="open"] .icon-close {
  opacity: 0;
}

.base-faq-item[data-is-state="open"] .icon-open {
  opacity: 1;
}

.base-faq-item[data-is-state="close"] {
  padding: 0 24px;
}

.base-faq-item[data-is-state="close"] .icon-close {
  opacity: 1;
}

.base-faq-item[data-is-state="close"] .icon-open {
  opacity: 0;
}

/* hover */
@media (any-hover: hover) {
  .base-faq-item-header:hover {
    opacity: 0.5 !important;
  }
}

/* -----　hero */

/* _BaseSubPageHero.css */
.base-sub-page-hero {
  --font-size: 40px;

  position: relative;
  aspect-ratio: 1280 / 350;
  overflow: clip;
  border-radius: 0 0 0 20px;
}

@media all and (max-width: 1119.98px) {
  .base-sub-page-hero {
    --font-size: 24px;

    aspect-ratio: 375 / 266;
    border-radius: 0 0 0 12px;
  }
}

.base-sub-page-hero .base-sub-page-hero-container {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
  padding: 0 min(78px, 6.4%);
  margin: auto;
}

.base-sub-page-hero .hero-title {
  font-size: var(--font-size);
  font-weight: var(--font-weight-regular); /** 小林 追加 **/
  color: #fff;
}

.base-sub-page-hero .hero-picture-photo {
  position: absolute;
  inset: 0;
  z-index: 1;
}

.base-sub-page-hero .hero-picture-photo > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* _BaseSubPageHeroHeroTextOnly.css */
.base-sub-page-hero-text-only {
  --font-size: 40px;

  position: relative;
  aspect-ratio: 1280 / 200;
  overflow: clip;
  background:
    linear-gradient(108deg, #515b77 12.09%, #61848d 89.92%),
    linear-gradient(90deg, #e1fdff 0%, #e4f8d6 100%) /* 変数定義 */;
  border-radius: 0 0 0 20px;
}

@media all and (max-width: 1119.98px) {
  .base-sub-page-hero-text-only {
    --font-size: 24px;

    aspect-ratio: 375 / 122;
    border-radius: 0 0 0 12px;
  }
}

.base-sub-page-hero-text-only .base-sub-page-hero-container {
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
  padding: 0 min(78px, 6.4%);
  margin: auto;
}

.base-sub-page-hero-text-only .hero-title {
  font-size: var(--font-size);
  font-weight: var(--font-weight-regular); /** 小林 追加 **/
  color: #fff;
}

/* -----　content */

/* BaseStoreCards */
.base-store-cards {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(0, 30.9%));
  gap: var(--spacing-gap-lg);
  width: 100%;
  max-width: 1120px;
  margin: 0 auto;
}

@media all and (max-width: 1119.98px) {
  .base-store-cards {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
}

.base-store-card {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-sm);
  width: 100%;
}

.base-store-card .card-body {
  display: flex;
  flex: 1;
  flex-direction: column;
  gap: var(--section-spacing-xs);
  width: 100%;
  padding: 0 8px;
}

.base-store-card .store-image {
  width: 100%;
  aspect-ratio: 347 / 200;
  overflow: clip;
  border-radius: 12px;
}

.base-store-card .store-image > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.base-store-card .store-address {
  /* style */
}

.base-store-card .store-address-desc-list {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.base-store-card .store-address-desc-list dt {
  margin-bottom: var(--section-spacing-xs);
  font-size: var(--font-size-lg);
}

.base-store-card .store-address-desc-list .store-business-hours {
  display: flex;
}

.base-store-card .card-more {
  display: flex;
  justify-content: flex-end;
}

.base-store-card .card-more > img {
  width: 42px;
  height: 16px;
}

/* _ContentConcept.css */
.content-concept {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-xl);
  padding: var(--spacing-gap-2xl) var(--spacing-gap-md);
}

.content-concept-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: var(--spacing-gap-xl);
  width: 100%;
  max-width: 1120px;
  padding: var(--spacing-gap-2xl) var(--spacing-gap-lg);
  margin: 0 auto;
  background: linear-gradient(
    117deg,
    #f1feff -6.14%,
    #f1fff8 72.77%,
    #fbfff1 107.48%
  ); /* TODO: css変数化 切り替え背景１ */

  border-radius: var(--radius-lg);
}

.content-concept-item {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-md);
  justify-items: center;
}

.content-concept-item-info {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-md);
}

.content-concept-item-title {
  font-size: var(--font-size-2xl);
  color: #217ece;
}

@media all and (max-width: 1119.98px) {
  .content-concept-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--spacing-gap-xl);
    width: 100%;
    max-width: 100%;
  }
}

/* ContentConceptType02.css */
.content-concept-type02 {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-xl);
  padding: var(--spacing-gap-2xl) var(--spacing-gap-md);
  background: var(--section-bg-color-type01) /* TODO: css変数化 切り替え背景１ */;
}

.content-concept-type02 .content-concept-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: var(--spacing-gap-xl);
  width: 100%;
  max-width: 1120px;
  padding: 0;
  margin: 0 auto;
  background: transparent;
  border-radius: var(--radius-lg);
}

@media all and (max-width: 1119.98px) {
  .content-concept-type02 .content-concept-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--spacing-gap-xl);
    width: 100%;
    max-width: 100%;
  }
}

.content-concept-type02 .content-concept-item {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-md);
  justify-items: center;
}

.content-concept-type02 .content-concept-item-info {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-md);
}

.content-concept-type02 .content-concept-item-title {
  font-size: var(--font-size-2xl);
  font-weight: var(--font-weight-regular); /** 小林 追加 **/
  color: var(--color-gray-700);
  text-align: center;
}

/* ContentOverallMessageType02.css */
.content-overall-message-type02 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
  justify-items: center;
  padding: 80px 0 0; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .content-overall-message-type02 {
    gap: 10px;
    padding: 40px 0 0; /* TODO:変数定義 */
  }
}

.content-overall-message-type02 .content-overall-message-header {
  display: flex;
  flex-direction: column;
  gap: 20px 0;
  align-items: center;
}

.content-overall-message-type02 .content-overall-message-figure {
  width: 100%;
  margin-top: -100px;
}

@media all and (max-width: 1119.98px) {
  .content-overall-message-type02 .content-overall-message-figure {
    margin-top: -60px;
  }
}

.content-overall-message-type02 .content-overall-message-figure > picture {
  width: 100%;
}

.content-overall-message-type02 .content-overall-message-figure > picture > img {
  width: 100%;
}

.content-overall-message-type02 .content-overall-message-text {
  text-align: center;
}

/* _ContentWithImage.css */
.content-with-image {
  display: grid;
  grid-template-columns: 1.16fr 1fr;
  gap: 40px;
  align-items: flex-start;
}

@media all and (max-width: 1119.98px) {
  .content-with-image {
    grid-template-columns: 1fr;
    gap: 16px;
  }
}

.content-with-image[data-size="sm"] {
  grid-template-columns: 347px 1fr;
}

@media all and (max-width: 1119.98px) {
  .content-with-image[data-size="sm"] {
    grid-template-columns: 1fr;
  }
}

.content-image {
  width: 100%;
  overflow: clip;
  border-radius: 12px;
}

.content-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.content-info {
  display: flex;
  flex-direction: column;
  gap: 24px 0;
}

@media all and (max-width: 1119.98px) {
  .content-info {
    gap: 16px 0;
  }
}

.content-title {
  font-size: var(--font-size-2xl);
  font-weight: var(--font-weight-regular);
}

.content-body {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

/* カスタム属性でリバースレイアウト */
.content-with-image[data-reverse="true"] {
  grid-template-columns: 1fr 1.16fr;
}

.content-with-image[data-reverse="true"] .content-image {
  order: 2;
}

@media all and (max-width: 1119.98px) {
  .content-with-image[data-reverse="true"] {
    grid-template-columns: 1fr;
  }

  .content-with-image[data-reverse="true"] .content-image {
    order: 1;
  }

  .content-with-image[data-reverse="true"] .content-info {
    order: 2;
  }
}

.content-with-image[data-reverse="true"][data-size="sm"] {
  grid-template-columns: 1fr 347px;
}

@media all and (max-width: 1119.98px) {
  .content-with-image[data-reverse="true"][data-size="sm"] {
    grid-template-columns: 1fr;
  }
}

/* _ContentInfoListCards.css */
.content-info-list-cards {
  display: grid;
  grid-template-columns: repeat(var(--columns, 3), 1fr);
  gap: var(--spacing-gap-lg);
}

@media all and (max-width: 1119.98px) {
  .content-info-list-cards {
    grid-template-columns: 1fr;
  }
}

.content-info-list-cards[data-columns="2"] {
  --columns: 2;
}

.content-info-list-cards[data-columns="3"] {
  --columns: 3;
}

.content-info-list-cards[data-columns="4"] {
  --columns: 4;
}

.content-info-list-cards .info-list-card {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-2xs);
  padding: 24px 16px;
  background: white;
  border: 1px solid var(--border-color-gray);
  border-radius: 12px;
}

@media all and (max-width: 1119.98px) {
  .content-info-list-cards .info-list-card {
    padding: 16px;
  }
}

.content-info-list-cards .card-title {
  position: relative;
  display: flex;
  flex-direction: row;
  gap: var(--spacing-gap-xs);
  font-family: var(--body-font-family-base); /* TODO: 見出しタグの書体定義の見直し */
  font-size: var(--font-size-xl); /* TODO: 見出しタグの文字サイズ定義の見直し */
}

.content-info-list-cards .card-title::before {
  display: flex;
  align-self: center;
  width: 4px;
  height: calc(100% - 4px);
  content: "";
  background: var(--accent-color-base);
  border-radius: 9999px;
}

/* _ContentInfoCards.css */
.content-info-cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

.content-info-cards[data-columns="1"] {
  grid-template-columns: 1fr;
}

.content-info-cards[data-columns="2"] {
  grid-template-columns: repeat(2, 1fr);
}

.content-info-cards[data-columns="3"] {
  grid-template-columns: repeat(3, 1fr);
}

.content-info-cards[data-columns="4"] {
  grid-template-columns: repeat(4, 1fr);
}

@media all and (max-width: 1119.98px) {
  .content-info-cards[data-columns="2"],
  .content-info-cards[data-columns="3"],
  .content-info-cards[data-columns="4"] {
    grid-template-columns: 1fr;
  }
}

.content-info-cards .card-item {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-md);
}

.content-info-cards .card-image {
  aspect-ratio: 347 / 220;
  overflow: clip;
  border-radius: 12px;
}

@media all and (max-width: 1119.98px) {
  .content-info-cards .card-image {
    aspect-ratio: 335 / 140;
  }
}

.content-info-cards .card-image > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.content-info-cards .card-content {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-xs);
}

.content-info-cards .card-title {
  font-size: var(--font-size-2xl);
  font-weight: var(--font-weight-regular);
}

.content-info-cards .card-description {
  /* style */
}

/* 画像なし時 */
.content-info-cards[data-show-images="false"] {
  /* style */
}

/* 横並びレイアウト（画像と文章が左右に並ぶ） */
.content-info-cards[data-layout="horizontal"] {
  grid-template-columns: 1fr;
}

@media all and (min-width: 1120px) {
  .content-info-cards[data-layout="horizontal"] .card-item {
    flex-direction: row;
    align-items: flex-start;
  }
}

/* _ContentAsideImageInfoHero.css */
.content-aside-image-info-hero {
  display: grid;
  grid-template-columns: 1.285fr 1fr;
  width: 100%;
  max-width: 100%;
  overflow: clip;
  background: #f1fffa; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-hero {
    display: flex;
    flex-direction: column;
  }
}

.content-aside-image-info-hero .hero-figure {
  overflow: hidden;
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-hero .hero-figure {
    overflow: unset;
  }
}

.content-aside-image-info-hero .hero-figure > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.content-aside-image-info-hero .hero-info {
  display: flex;
  flex-shrink: 0;
  flex-direction: column;
  gap: var(--spacing-gap-xs);
  justify-content: center;
  max-width: 30em;
  padding-left: var(--spacing-gap-xl);
  font-weight: 700;
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-hero .hero-info {
    max-width: 100%;
    padding: 16px 16px 24px; /* TODO:変数定義 */
  }
}

.content-aside-image-info-hero .hero-title {
  font-family: var(--font-family-body-jp);
  font-size: var(--font-size-2xl);
}

/* ContentAsideImageInfoCards.css */
.content-aside-image-info-cards {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-lg);
  align-items: center;
}

/* ContentAsideImageInfoCardType02.css */
.content-aside-image-info-card-type02 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  width: 100%;
  max-width: 1120px;
  height: 300px;
  overflow: clip;
  background: #fff;
  border-radius: var(--radius-sm);
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-card-type02 {
    display: flex;
    flex-direction: column;
    gap: 16px; /* TODO:変数定義 */
    height: auto;
    border-radius: var(--radius-sm);
  }
}

.content-aside-image-info-card-type02 .card-figure {
  overflow: hidden;
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-card-type02 .card-figure {
    overflow: unset;
  }
}

.content-aside-image-info-card-type02 .card-figure > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.content-aside-image-info-card-type02 .card-info {
  display: flex;
  flex-shrink: 0;
  flex-direction: column;
  gap: var(--spacing-gap-xs);
  justify-content: center;
  max-width: 30em;
  padding-left: var(--spacing-gap-xl);
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-card-type02 .card-info {
    max-width: 100%;
    padding: 0 16px 24px; /* TODO:変数定義 */
  }
}

@media all and (max-width: 1119.98px) {
  .content-aside-image-info-card-type02:not(:has(.card-figure)) {
    padding-top: 16px;
  }
}

.content-aside-image-info-card-type02 .card-title {
  font-family: var(--body-font-family-base);
  font-size: var(--font-size-2xl); /** 小林 追加 **/
  font-weight: var(--font-weight-regular); /** 小林 追加 **/
}

/* _ContentStepList.css */
.content-step-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 12px 0;
}

.content-step-list-item {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 24px;
  align-items: center;
  align-self: stretch;
  padding: 24px 24px 24px 0;
  background: #f7efed; /* TODO:変数化 */
  border-radius: 12px;
}

@media all and (max-width: 1119.98px) {
  .content-step-list-item {
    grid-template-columns: 1fr;
    gap: 12px 0;
    padding: 0 16px 24px;
  }
}

.content-step-list-item .item-label {
  justify-self: flex-start;
  padding: 0 14px;
  font-weight: 600;
  color: #fff;
  background: var(--bland-color-base);
  border-radius: 0 8px 8px 0;
}

@media all and (max-width: 1119.98px) {
  .content-step-list-item .item-label {
    justify-self: center;
    border-radius: 0 0 8px 8px;
  }
}

.content-step-list-item .item-body {
  display: grid;
  grid-template-columns: 0.25fr 1.25fr;
  gap: 40px;
  align-items: center;
}

@media all and (max-width: 1119.98px) {
  .content-step-list-item .item-body {
    grid-template-columns: 1fr;
    gap: 4px;
    justify-items: center;
  }
}

.content-step-list-item .item-title {
  font-family: var(--body-font-family-base);
}

.content-step-list-item .item-content {
  /* style */
}

/* ----- */

/* AccessMap.css */
.access-map {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-sm);
}

.access-map .map-container {
  width: 100%;
  aspect-ratio: 21 / 9;
  margin: 0 auto;
  overflow: clip;
  border-radius: var(--radius-sm);
}

.access-map .map-container > iframe {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.access-map .access-info {
  /* style */
}

/* style */
.access-map .access-info-list .info-list-item {
  /* style */
}

/* ----- */

/* ContentInfoBox.css */
.content-info-box {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-md) 0;
}

.content-info-box .content-info-box-header {
  /* style */
}

.content-info-box .content-info-box-body {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-md) 0;
  padding: 24px;
  background: var(--color-gray-100, #e7eeef); /* TODO: 変数定義 */
  border-radius: 20px;
}

.content-info-box .content-info-box-section {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-xs) 0;
}

.content-info-box .content-info-box-section-content {
  display: flex;
  flex-direction: column;
  gap: var(--section-spacing-md) 0;
}

.content-info-box .content-info-box-block {
  /* style */
}

.content-info-box .content-info-box-text {
  /* style */
}

.content-info-box .content-info-box-list {
  /* style */
}

/* ContentStoreDetail.css */
.content-store-detail {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-lg);

  /* ----- */
}

.content-store-detail .store-header > * {
  font-weight: 700;
}

/* ----- */
.content-store-detail .store-image-gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 24px;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-image-gallery {
    grid-template-columns: repeat(auto-fill, minmax(108px, 1fr));
    gap: 8px;
  }
}

.content-store-detail .store-image-gallery .gallery-item {
  aspect-ratio: 300 / 200;
  overflow: clip;
  border-radius: var(--radius-xs);
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-image-gallery .gallery-item {
    aspect-ratio: 108 / 82;
  }
}

.content-store-detail .store-image-gallery .gallery-item > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ----- */
.content-store-detail .store-content {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 16px;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-content {
    grid-template-columns: 1fr;
  }
}

.content-store-detail .store-contact-info {
  /* style */
}

.content-store-detail .postal-code {
  /* style */
}

.content-store-detail .address {
  /* style */
}

.content-store-detail .contact-details {
  margin-top: 8px;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .contact-details {
    margin-top: 0;
  }
}

/* style */
.content-store-detail .contact-details .tel {
  /* style */
}

.content-store-detail .contact-details .fax {
  /* style */
}

/* ----- */
@media all and (max-width: 1119.98px) {
  .content-store-detail .desktop-qr-code-section {
    display: none;
  }
}

.content-store-detail .mobile-qr-code-section {
  margin: auto;
}

@media all and (min-width: 1120px) {
  .content-store-detail .mobile-qr-code-section {
    display: none;
  }
}

.content-store-detail .line-qr-code {
  width: 224px;
  height: auto;
}

.content-store-detail .line-qr-code > img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* ----- */
.content-store-detail .store-action-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}

.content-store-detail .action-button-group {
  display: flex;
  gap: 8px;
}

.content-store-detail .action-button {
  width: auto;
  max-width: none;
  padding: 8px 16px;
  color: #fff;
  background: #515b77; /* TODO: css変数定義 */
  border-radius: var(--radius-full);
}

/* ----- */
.content-store-detail .support-services {
  display: flex;
  gap: var(--spacing-gap-2xs);
}

.content-store-detail .support-services .support-label {
  align-self: center;
}

.content-store-detail .support-services .support-service-tag {
  width: auto;
  max-width: none;
  padding: 8px 16px;
  color: #515b77;
  background: #fff; /* TODO: css変数定義 */
  border: 1px solid #515b77; /* TODO: css変数定義 */
  border-radius: var(--radius-sm);
}

/* ----- */
.content-store-detail .store-schedule {
  --cell-spacing: 16px;

  overflow: clip;
  background: #fff;
  border: 1px solid var(--border-color-gray);
  border-radius: var(--radius-sm);
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule {
    --cell-spacing: 12px;
  }
}

:is(.content-store-detail .store-schedule) > * + * {
  border-top: 1px solid var(--border-color-gray);
}

.content-store-detail .store-schedule .store-schedule-label {
  padding: var(--cell-spacing);
  font-family: var(--font-family-body-jp);
  font-size: var(--body-font-size-base);
  font-weight: 700;
  color: var(--body-text-color);
  background: var(--color-gray-100, #f7f7f7); /* TODO: css変数整理 */
}

.content-store-detail .store-schedule .business-hours {
  display: grid;
  grid-template-columns: 240px 1fr;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule .business-hours {
    grid-template-columns: 130px 1fr;
  }
}

.content-store-detail .store-schedule .hours-row {
  padding: var(--cell-spacing);
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule .hours-row {
    display: grid;
    gap: 12px;
  }
}

.content-store-detail .store-schedule .hours-row-item {
  display: table-row;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule .hours-row-item {
    display: grid;
  }
}

.content-store-detail .store-schedule .hours-row-item > * {
  display: table-cell;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule .hours-row-item > * {
    display: grid;
  }
}

.content-store-detail .store-schedule .days {
  padding-right: 16px;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule .days {
    padding-right: 0;
  }
}

.content-store-detail .store-schedule .time {
  /* style */
}

.content-store-detail .store-schedule .closed-days {
  display: grid;
  grid-template-columns: 240px 1fr;
}

@media all and (max-width: 1119.98px) {
  .content-store-detail .store-schedule .closed-days {
    grid-template-columns: 130px 1fr;
  }
}

.content-store-detail .store-schedule .closed-info {
  padding: var(--cell-spacing);
}
